# HttpFileCollection

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides access to and organizes files uploaded by a client.

{% tabs %}
{% tab title="C#" %}

```csharp
public class HttpFileCollection
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class HttpFileCollection
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) AllKeys

[String\[\]](https://docs.microsoft.com/dotnet/api/system.string): Returns a string array containing the keys (names) of all members in the file collection.

### ![](/files/hsR4ok3152WyAf8J2C1u) Count

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the number of files in the collection.

### ![](/files/hsR4ok3152WyAf8J2C1u) Item(index)

[HttpPostedFile](/api/wisej.core/general/wisej.core.httppostedfile.md): Returns the [HttpPostedFile](/api/wisej.core/general/wisej.core.httppostedfile.md) at the index.

### ![](/files/hsR4ok3152WyAf8J2C1u) Item(name)

[HttpPostedFile](/api/wisej.core/general/wisej.core.httppostedfile.md): Returns the [HttpPostedFile](/api/wisej.core/general/wisej.core.httppostedfile.md) identified by the specified *name* .

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) Get(index)

Returns the [HttpPostedFile](/api/wisej.core/general/wisej.core.httppostedfile.md) at the specified index.

| Parameter | Type                                                        | Description                    |
| --------- | ----------------------------------------------------------- | ------------------------------ |
| **index** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | Index of the file to retrieve. |

**Returns:** [HttpPostedFile](/api/wisej.core/general/wisej.core.httppostedfile.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) Get(name)

Returns the [HttpPostedFile](/api/wisej.core/general/wisej.core.httppostedfile.md) with the specified name.

| Parameter | Type                                                          | Description                                                   |
| --------- | ------------------------------------------------------------- | ------------------------------------------------------------- |
| **name**  | [String](https://docs.microsoft.com/dotnet/api/system.string) | The name of the object to be returned from a file collection. |

**Returns:** [HttpPostedFile](/api/wisej.core/general/wisej.core.httppostedfile.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) GetKey(index)

Returns the name of the file at the specified *index* .

| Parameter | Type                                                        | Description                          |
| --------- | ----------------------------------------------------------- | ------------------------------------ |
| **index** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | Index of the file in the collection. |

**Returns:** [String](https://docs.microsoft.com/dotnet/api/system.string).

### ![](/files/hsR4ok3152WyAf8J2C1u) GetMultiple(name)

Returns all files that match the specified name.

| Parameter | Type                                                          | Description        |
| --------- | ------------------------------------------------------------- | ------------------ |
| **name**  | [String](https://docs.microsoft.com/dotnet/api/system.string) | The name to match. |

**Returns:** [IList\<HttpPostedFile>](https://docs.microsoft.com/dotnet/api/system.collections.generic.ilist-1). Returns all files that match the specified name.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/general/wisej.core.httpfilecollection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
